Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Cache-specific Finding Helpers

## Functions

static inline hwloc_obj_t | hwloc_get_cache_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
static inline hwloc_obj_t | hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology , hwloc_obj_t obj)

## Function Documentation

static inline hwloc_obj_t hwloc_get_cache_covering_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set
| ) |  | `[static]`

Get the first cache covering a cpuset `set`.

Returns:
  `NULL` if no cache matches.

Note:
  This function cannot work if the root object does not have a CPU set, e.g. if the topology is made of different machines.

static inline hwloc_obj_t hwloc_get_shared_cache_covering_obj | ( | hwloc_topology_t topology | ,
|  | hwloc_obj_t | obj
| ) |  | `[static]`

Get the first cache shared between an object and somebody else.

Returns:
  `NULL` if no cache matches or if an invalid object is given.